@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&display=swap');
:root{
    --mainclr:#239f85;
    --secclr:#ed0677;
    --third:#DFE4E0;
    --fourth:rgba(231, 231, 231, 0.4);
    --fifth: rgba(231, 231, 231, 0.2);
    --mainafterclr:hsl(167, 81%, 79%);
}
*{
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    transition: .2s;
    text-transform: capitalize;
    text-decoration: none;
    scroll-behavior: smooth; 
    font-family: "Merriweather", serif; 
}
html{
    font-size: 62.5%;
}

/* Header Starts */
.header{
    padding: 1rem 7%;
    /* background-color: var(--mainclr); */
    background-color: white;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.05), inset 0 -1px 0 rgba(0, 0, 0, 0.15);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    left: 0;
    right: 0;
    z-index: 1000;
}
.header #logo{
    width: 50px;
}
.navbar a{
    color: white;
    font-size: 1.5rem;
    margin-left: 2rem;
    position: relative;
    cursor: pointer;
}
.navbar a:after{
    content: '';
    background: var(--secclr);
    width: 0;
    height: 3px;
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 5px;
    transition: .3s;
}
.navbar a:hover:after{
    content: '';
    background: var(--secclr);
    width: 100%;
    height: 3px;
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 5px;
}
.icons div{
    font-size: 2rem;
    margin-right: 1rem;
    color: white;
    display: none;
}
.icons a{
    color: white !important;
    background: var(--secclr);
    padding: 1.5rem 3rem;
    font-size: 1.5rem;
    border-radius: 10px;
    transition: .5s;
    cursor: pointer;
}
.icons a:hover{
    background: transparent;
    border: 1px solid var(--secclr);
    color: black !important; 
}
.navbar.active{
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}
.background-image{
    background: url(images/background.jpg);
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-repeat: no-repeat;
    padding-top: 6%;
    position: relative;

}
.background-content{
    position: absolute;
    top: 30%;
    left: 50%;
    width: 50%;
    transform: translate(-80%);
}
.background-content h1{
    color: black;
    font-size: 40px;
    margin-bottom: 20px;
}
.background-content p{
    font-size: 1.5rem;
    margin-bottom: 40px;
}

.background-content a{
    background: var(--secclr);
    padding: 1.5rem 3rem;
    border-radius: 15px;
    color: white !important;
    font-size: 1.5rem;
    transition: .5s;
    cursor: pointer;
}
.background-content a:hover{
    background: transparent;
    border: 1px solid var(--secclr);
    color: black !important;
}
/* Header End */
/* About Starts */
.about{
    padding: 6rem 7%;
    background: var(--third);
}
.main-about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    flex-wrap: wrap;
}
.inner-about{
    flex: 1 1 45rem;
}

.inner-about .inner-about-image img{
    width: 100%;
}
.about-content{
    width: 80%;
}
.about-content h1{
    font-size: 40px;
    margin-bottom: 15px;
}
.about-content p{
    font-size: 1.5rem;
    margin-bottom: 30px;
}
.about-content a{
    background: var(--secclr);
    padding: 1rem 3rem;
    font-size: 1.5rem;
    color: white;
    transition: .5s;
}
.about-content a:hover{
    background: transparent;
    border: 1px solid var(--secclr);
    color: black;
}
/* About Ends */
/* Our Services Starts */
.our-services{
    padding: 6rem 7%;
    background: var(--fourth);
}
.service-content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
}
.header-service-content{
    text-align: center;
}

.header-service-content h1{
    font-size: 40px;
    margin-bottom: 15px;
    color: var(--mainclr);
}
.header-service-content p{
    font-size: 1.5rem;
    line-height: 24px;
}

.main-services{
    padding-top: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 15px;
}
.inner-services-content{
    flex: 1 1 300px;
    padding: 1rem 3rem;
    text-align: center;
}
.inner-services-content h2{
    font-size: 25px;
    margin-bottom: 10px;
    color: var(--secclr);
}
.inner-services-content p{
    font-size: 1.5rem;
    line-height: 2;
}
.service-icon i{
    font-size: 4rem;
    width: 8rem;
    height: 8rem;
    border-radius: 50%;
    text-align: center;
    line-height: 8rem;
    background: var(--mainafterclr);
    color: var(--mainclr);
    margin-bottom: 15px;
    cursor: pointer;
    transition: .3s;
}
.service-icon i:hover{
    color: white;
    background: var(--mainclr);
}
/* Our Services Ends */
/* Why Choose Us Starts*/
.why-choseus{
    padding: 4rem 7%;
    background: var(--fourth);
}
.main-chose{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
}
.inner-chose{
    flex: 1 1 45rem;
}
.inner-chose img{
    width: 100%;
}
.inner-chose h1{
    font-size: 40px;
    color: var(--mainclr);
    margin-bottom: 20px;
}
.main-inner-chose{
    display: flex;
    align-items: center;
    /* justify-content: center; */
    margin: 1rem 0;
    
}
.chose-icon i{
    width: 5rem;
    height: 5rem;
    line-height: 5rem;
    background: white;
    color: var(--mainclr);
    font-size: 3rem;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 0.5rem;
}
.icon-content{
    padding: 0 4rem;
}
.icon-content p{
    font-size: 1.5rem;
    line-height: 1;
}
/* Why Choose Us Ends*/
/* Vission Starts */
/* Vission Ends */

/* Our Doctors Starts */
.our-doctors{
    padding: 6rem 7%;
    background-color: var(--fifth);
}
.our-doctors h1{
    text-align: center;
    font-size: 40px;
    color: var(--mainclr);
    margin-bottom: 30px;
}
.main-doctor{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}
.inner-doctor{
    flex: 1 1 300px;
    position: relative;
}
.inner-doctor img{
    width: 100%;

}
.doc-icons{
    position: absolute;
    bottom: 4%;
    width: -webkit-fill-available;
    text-align: center;
}
.doc-icons a{
    font-size: 2rem;
    color: var(--mainclr);
    background: white;
    border: 1px solid var(--third);
    border-radius: 8px;
    margin-left: 0.75rem;
    width: 4rem;
    height: 4rem;
    line-height: 4rem;
    text-align: center;
    cursor: pointer;
}
.doc-icons a:hover{
    transform: scale(1.1);
}
/* Our Doctors Ends */

/* Gallery Starts */
.gallery{
    padding: 6rem 7%;
    background: var(--fourth);
}
.gallery h1{
    color: var(--mainclr);
    font-size: 40px;
    text-align: center;
    margin-bottom: 30px;
}
.main-gallery{
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 10px;
    flex-wrap: wrap;
}
.inner-gallery{
    flex:1 1 300px;
}
.inner-gallery img{
    width: 100%;
    transition: .3s;
}
.inner-gallery img:hover{
    transform: scale(1.1);
    border-radius: 20px;
}
/* Gallery Ends */
/* Testimonials Starts */
.testimonial{
    padding: 6rem 7%;
    background-color: white;
}
.testimonial h1{
    text-align: center;
    font-size: 40px;
    color: var(--mainclr);
    margin-bottom: 30px;
}
.testimonial .card .card-title i{
    color: var(--mainclr);
    font-size: 42px;
    text-align: center; 
}
.testimonial .card .card-body .card-text{ 
    font-size: 1.35em;
    text-align: center; 
}
.testimonial .card .card-body h5{ 
    font-weight: 600;
}
/* Testimonials Ends */
/* Contact Starts */
.contact{
    padding: 6rem 7%;
    background: var(--fifth);
}
.main-contact{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
}
.inner-contact{
    flex: 1 1 45rem;
}
.inner-contact iframe{
    width: 100%;
}
.inner-contact h1{
    font-size: 40px;
    color: var(--mainclr);
    margin-bottom: 20px;
}
.main-inner-contact{
    display: flex;
    align-items: start;
    margin: 1rem 0;
    
}
.contact-icon{
    margin-top: 0.25rem;
}
.contact-icon i{ 
    color: var(--mainclr);
    font-size: 2rem;
    text-align: center; 

}
.icon-content{
    padding: 0 4rem;
}
.icon-content p{
    font-size: 1.35rem;
    line-height: 1.25; 
    text-transform: none;
}
/* Contact Ends */
/* Footer Starts */
.footer{
    padding: 3rem 7%;
    background: #00234b; 
    border-top: 2px solid var(--mainclr); 
}
.footer p{
    font-size: 1.5rem;
    opacity: 0.7;
}
.footer-bottom{
    border-top: 1px solid #999999; 
    text-align: center;
    padding: 3rem 7%;
    background: #00234b;
}
.footer-bottom p{
    font-size: 1.35rem;
    opacity: 0.7;
    color: whitesmoke; 
    margin-bottom: 0; 
}
.inner-footer h2{
    font-size: 2rem; 
    color: white;
}
.inner-footer a{
    font-size: 1.35rem; 
    font-weight: 300;  
    color: white !important;
    display: block;
    margin-top: 1rem;
    padding-top: 1rem;
    cursor: pointer;
    text-transform: none;  
}
.inner-footer div{
    text-transform: none;
}
.inner-footer a.address{ 
    display: flex;
}
.inner-footer a:hover{
    margin-left: 10px;
}
.inner-footer a.address:hover{
    margin-left: 0px;
}
.inner-footer .appointment .appointment-text:hover{
    margin-left: 10px;
}
.inner-footer p{
    font-size: 1.35rem;
    font-weight: bolder; 
    color: white;
    display: block;
    margin-top: 1rem;
    padding-top: 1rem;
    cursor: cursor;
    margin-bottom: 0; 
}
.inner-footer .social-icon a{
    color: var(--mainclr) !important;
    font-size: 36px;
    transition: transform 0.3s ease-in-out;
}
.inner-footer .social-icon a:hover{
    transform: scale(1.2);
}
.inner-footer .appointment-icon i{
    color: var(--mainclr);
    font-size: 2rem;
    text-align: center;
}
/* Footer Ends */

/* width */
::-webkit-scrollbar {
    width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    /* box-shadow: inset 0 0 5px var(--mainclr);  */
    /* background: var(--mainclr); */
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    /* background: var(--secclr);  */
    background: #00234b;
    /* border-radius: 10px; */
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    /* background: var(--third);  */
  }











@media (max-width:767px) {

    html{
        font-size: 55%;
    }
    .header{
        padding: 2rem;
    }
    .icons div{
        display: initial;
    }
    .navbar{
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 100vh;
        background: var(--secclr);
        display: flex;
        
        align-items: center;
        flex-direction: column;
        clip-path: polygon(0 0, 0 0, 0 100%, 0 100%);
    }

    
    .navbar a{
        display: block;
        font-size: 3rem;
        font-weight: bolder;
        margin: 1rem;
        padding: 1rem;
        color: black;
    }
    .background-content{ 
        width: 100%;
       left: 50%;
       top: 50%;
       transform: translate(-50%, -50%);
       padding-left: 5rem;
    }
    .inner-about .inner-about-image img{
        margin-top: 20px;
    } 
    .right-service-content{ 
        justify-content: flex-start;
    
    }




}





.preloader{
    background: lightgray; 
    transition: transform 0.3s ease-in-out;
}
.preloader .spinner {
    height: 80px;
    width: 80px;
    border: 7px solid var(--mainclr);;
    transform: rotate(45deg);
    border-radius: 0 50% 50% 50%;
    position: relative;
    animation: move 0.5s linear infinite alternate-reverse;
  }
  .preloader .spinner::before {
    content: "";
    position: absolute;
    height: 55%;
    width: 55%;
    border-radius: 50%;
    border: 7px solid transparent;
    /* border-top-color: var(--secclr);
    border-bottom-color: var(--secclr); */ 
    border-top-color: #00234b;
    border-bottom-color: #00234b;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: rotate 1s linear infinite;
  }
  
  @keyframes rotate {
    to {
      transform: translate(-50%, -50%) rotate(360deg);
    }
  }
  @keyframes move {
    to {
      transform: translateY(15px) rotate(45deg);
    }
  }